Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO_Internal.cpp File Reference

`#include "TAO_Internal.h"`
`#include "default_server.h"`
`#include "default_client.h"`
`#include "default_resource.h"`
`#include "IIOP_Factory.h"`
`#include "MCAST_Parser.h"`
`#include "CORBANAME_Parser.h"`
`#include "CORBALOC_Parser.h"`
`#include "FILE_Parser.h"`
`#include "DLL_Parser.h"`
`#include "ORB_Core.h"`
`#include "Adapter_Factory.h"`
`#include "Default_Stub_Factory.h"`
`#include "Default_Endpoint_Selector_Factory.h"`
`#include "Default_Protocols_Hooks.h"`
`#include "Default_Thread_Lane_Resources_Manager.h"`
`#include "Default_Collocation_Resolver.h"`
`#include "debug.h"`
`#include "StringSeqC.h"`
`#include "ace/Dynamic_Service.h"`
`#include "ace/Arg_Shifter.h"`
`#include "ace/Argv_Type_Converter.h"`
`#include "ace/Env_Value_T.h"`
`#include "ace/ACE.h"`
`#include "ace/OS_NS_stdio.h"`
`#include "ace/Static_Object_Lock.h"`

Include dependency graph for TAO_Internal.cpp:

## Namespaces
namespace | TAO_END_VERSIONED_NAMESPACE_DECL
## Defines
#define | TAO_DEFAULT_RESOURCE_FACTORY_ARGS 0
#define | TAO_DEFAULT_SERVER_STRATEGY_FACTORY_ARGS 0
#define | TAO_DEFAULT_CLIENT_STRATEGY_FACTORY_ARGS 0
## Functions
int | open_services_i (int &argc, char **argv, bool ignore_default_svc_conf_file=false, bool skip_service_config_open=false)
int | open_services_i (int &argc, char **argv, bool ignore_default_svc_conf_file, bool skip_service_config_open)
## Variables
long | service_open_count = 0
char const * | resource_factory_args
char const * | server_strategy_factory_args
char const * | client_strategy_factory_args

## Define Documentation

#define TAO_DEFAULT_CLIENT_STRATEGY_FACTORY_ARGS 0

#define TAO_DEFAULT_RESOURCE_FACTORY_ARGS 0

#define TAO_DEFAULT_SERVER_STRATEGY_FACTORY_ARGS 0

## Function Documentation

int open_services_i | ( | int & | argc,
|  | char ** | argv,
|  | bool | ignore_default_svc_conf_file = `false`,
|  | bool | skip_service_config_open = `false`
| ) |

| Initialize the ACE Service Configurator. This is a one-shot method, i.e., it can be called multiple times but it will only do its work once. It does, however, track the number of times it's called (see `open_services()`). It is fully thread-safe. Returns: `0` if successful, `-1` with `errno` set if failure. Note: You can provide your program a set of default `svc.conf' entries by setting ignore_default_svc_conf_file to non-zero and use `default_svc_conf_entries()` before calling `open_services()`. In addition, you can skip_service_config_open altogether, which used to be important when the ORB is linked in via the ACE_Service_Configurator, since the ACE_Service_Configurator was non-reentrant. However, the ACE_Service_Configurator is now reentrant meaning that it is really no longer necessary to do so.

int open_services_i | ( | int & | argc,
|  | char ** | argv,
|  | bool | ignore_default_svc_conf_file = `false`,
|  | bool | skip_service_config_open = `false`
| ) | `[static]`

| Initialize the ACE Service Configurator. This is a one-shot method, i.e., it can be called multiple times but it will only do its work once. It does, however, track the number of times it's called (see `open_services()`). It is fully thread-safe. Returns: `0` if successful, `-1` with `errno` set if failure. Note: You can provide your program a set of default `svc.conf' entries by setting ignore_default_svc_conf_file to non-zero and use `default_svc_conf_entries()` before calling `open_services()`. In addition, you can skip_service_config_open altogether, which used to be important when the ORB is linked in via the ACE_Service_Configurator, since the ACE_Service_Configurator was non-reentrant. However, the ACE_Service_Configurator is now reentrant meaning that it is really no longer necessary to do so.

## Variable Documentation

char const* client_strategy_factory_args`[static]`

| Initial value:
        TAO_DEFAULT_CLIENT_STRATEGY_FACTORY_ARGS

char const* resource_factory_args`[static]`

| Initial value:
        TAO_DEFAULT_RESOURCE_FACTORY_ARGS

char const* server_strategy_factory_args`[static]`

| Initial value:
        TAO_DEFAULT_SERVER_STRATEGY_FACTORY_ARGS

long service_open_count = 0`[static]`

| Note: In/decrement operations are atomic.